Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Base_Thread_Adapter.h File Reference

`#include "ace/OS_Log_Msg_Attributes.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Base_Thread_Adapter.inl"`

Include dependency graph for Base_Thread_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_OS_Thread_Descriptor
| Parent class of all ACE_Thread_Descriptor classes. = Container for ACE_Thread_Descriptor members that are used in ACE_OS. More...
class | ACE_Base_Thread_Adapter
| Base class for all the Thread_Adapters. More...
## Defines
#define | ACE_THREAD_ADAPTER_NAME ace_thread_adapter
#define | ACE_INLINE inline
## Functions
ACE_Export ACE_THR_FUNC_RETURN | ACE_THREAD_ADAPTER_NAME (void *args)

## Detailed Description

Id
  Base_Thread_Adapter.h,v 4.15 2005/12/03 20:06:44 ossama Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Define Documentation

#define ACE_INLINE inline

#define ACE_THREAD_ADAPTER_NAME ace_thread_adapter

## Function Documentation

ACE_Export ACE_THR_FUNC_RETURN ACE_THREAD_ADAPTER_NAME | ( | void * | args | ) |